## Class FileSystemPairStoreWithHtmlOutput

- java.lang.Object
- - com.tibco.patterns.dedupe_utils.FileSystemPairStore
  - - FileSystemPairStoreWithHtmlOutput

- All Implemented Interfaces:
    `com.tibco.patterns.deduplication.PairStore`, `java.io.Closeable`, `java.lang.AutoCloseable`, `java.lang.Iterable<com.tibco.patterns.dedupe_utils.FileSystemPairStore.StoredEntry>`

      public class FileSystemPairStoreWithHtmlOutput
      extends com.tibco.patterns.dedupe_utils.FileSystemPairStore
      implements java.io.Closeable

  Examples class of pre-processing on a FileSystemPairStore. Writes all pairs found to an HTML file.

  Assumes the query objects are NetricsBaseRecords (e.g. deduplication was done using NetricsRecQuerySource was used).

  HTML output is done using raw prints for basic Java 1.5 compatibility. Real production code would use something less primitive, for example the javax.xml package.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.tibco.patterns.dedupe_utils.FileSystemPairStore

      `com.tibco.patterns.dedupe_utils.FileSystemPairStore.StoredEntry`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `scoreDigits` | Number of decimal places to report in HTML output.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileSystemPairStoreWithHtmlOutput​(java.lang.String pairsDirectoryPath, java.io.File htmlFilePath, java.lang.String[] reportFieldNames, int[] reportFieldIndexes)` | Create a FileSystemPairStoreWithHtmlOutput instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `preProcess​(java.lang.String batchId, int deduplicatorBatchSize, java.util.List<com.tibco.patterns.deduplication.Pair> pairs)` |

    - ### Methods inherited from class com.tibco.patterns.dedupe_utils.FileSystemPairStore

      `isStored, iterator, postProcess, store`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### scoreDigits

          public int scoreDigits

      Number of decimal places to report in HTML output.

  - ### Constructor Detail

    - #### FileSystemPairStoreWithHtmlOutput

          public FileSystemPairStoreWithHtmlOutput​(java.lang.String pairsDirectoryPath,
                                                   java.io.File htmlFilePath,
                                                   java.lang.String[] reportFieldNames,
                                                   int[] reportFieldIndexes)
                                            throws java.io.IOException

      Create a FileSystemPairStoreWithHtmlOutput instance
      Parameters:
        `pairsDirectoryPath` - Passed down to FileSystemPairStore
        `htmlFilePath` - HTML results are stored in this file.
        `reportFieldNames` - Names of the fields
        `reportFieldIndexes` - Indexes of fields in NetricsBaseRecord objects
      Throws:
        `java.io.IOException` - Thrown by base class constructor.

  - ### Method Detail

    - #### preProcess

          public void preProcess​(java.lang.String batchId,
                                 int deduplicatorBatchSize,
                                 java.util.List<com.tibco.patterns.deduplication.Pair> pairs)
                          throws java.lang.Exception

      Overrides:
        `preProcess` in class `com.tibco.patterns.dedupe_utils.FileSystemPairStore`
      Throws:
        `java.lang.Exception`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`